Bug 1574403 - 404 Not Found: When dialog submitted via custom button from datastore object with method and dialog both attached
Summary: 404 Not Found: When dialog submitted via custom button from datastore object ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Nikhil Dhandre
URL:
Whiteboard: custom_button:datastore
Depends On: 1635797
Blocks: 1641669
TreeView+ depends on / blocked
 
Reported: 2018-05-03 08:31 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:02 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.21
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1641669 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:01:55 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
404_error.png (86.10 KB, image/png)
2018-05-03 08:31 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 0 None None None 2019-02-07 23:02:05 UTC

Description Yadnyawalk Tale 2018-05-03 08:31:23 UTC
Created attachment 1430558 [details]
404_error.png

Description of problem:
404 Not Found: When dialog submitted via custom button from datastore object type with method and dialog both attached


Version-Release number of selected component (if applicable):
5.9.2.4.20180501195858_35dc609 


How reproducible:
100%


Steps to Reproduce:
1. Create service dialog
2. Create custom button under 'Datastore' object type
2. Attach dialog (step1) and automate method (let say, InspectMe) to custom button 
3. Navigate to Compute > Infra > Datastore > select any datastore
4. Execute button, try to submit that dialog


Actual results:
404 Not Found modal is appearing and fatal error in log


Expected results:
Dialog should be submitted


Additional info:
Similar case with 400 bad request error - BZ1555331

Comment 5 CFME Bot 2018-05-10 09:47:00 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/8c3f087d69ef783bbfb0a19a995604968a0fb50d
commit 8c3f087d69ef783bbfb0a19a995604968a0fb50d
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Thu May  3 08:08:40 2018 -0400
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Thu May  3 08:08:40 2018 -0400

    Change dialog API call for Datastore

    Change it from datastores to `data_stores`

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1574403

 app/services/dialog_local_service.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 CFME Bot 2018-10-22 12:51:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/77b692a27f5040cdc2ed90d0408301c5e6fbbaa1
commit 77b692a27f5040cdc2ed90d0408301c5e6fbbaa1
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Tue Oct  9 04:49:40 2018 -0400
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Tue Oct  9 04:49:40 2018 -0400

    Fix error for Datastore custom button

    - Add open_url to local_options for non-explorer screens
    - Fix error handling when Automate does not return url

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1574403
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1635797

 app/assets/javascripts/controllers/dialog_user/dialog_user_controller.js | 20 +-
 app/views/shared/dialogs/_dialog_provision.html.haml | 1 +
 2 files changed, 13 insertions(+), 8 deletions(-)

Comment 9 CFME Bot 2018-10-23 13:01:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/75b755f67a943735f71dc492fb3a37e214e47f4d
commit 75b755f67a943735f71dc492fb3a37e214e47f4d
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Oct 22 08:41:32 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Mon Oct 22 08:41:32 2018 -0400

    Merge pull request #4745 from ZitaNemeckova/fix_error_handling_open_url

    Fix error for Datastore custom button

    (cherry picked from commit fe7f419cc67c659a3bcabadc63a2cb334c1d4aed)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1574403
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1635797

 app/assets/javascripts/controllers/dialog_user/dialog_user_controller.js | 25 +-
 app/controllers/application_controller/buttons.rb | 3 +-
 app/views/shared/dialogs/_dialog_provision.html.haml | 1 +
 spec/javascripts/controllers/dialog_user/dialog_user_controller.spec.js | 10 +-
 4 files changed, 25 insertions(+), 14 deletions(-)

Comment 12 errata-xmlrpc 2019-02-07 23:01:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.